Bug 548056 - UC-LOGIC Tablet WP5540U tablet does not work out of the box
UC-LOGIC Tablet WP5540U tablet does not work out of the box
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
15
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 09:02 EST by Ankur Sinha (FranciscoD)
Modified: 2012-08-07 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mentioned article from fedorasolved.org (34.50 KB, text/html)
2010-11-06 10:13 EDT, Matěj Cepl
no flags Details
xorg.conf file (382 bytes, text/plain)
2010-11-06 13:07 EDT, Ankur Sinha (FranciscoD)
no flags Details
conf file placed in xorg.conf.d for wizardpen tablet (426 bytes, text/plain)
2010-11-06 13:08 EDT, Ankur Sinha (FranciscoD)
no flags Details
xorg log file (32.95 KB, text/plain)
2010-11-06 13:09 EDT, Ankur Sinha (FranciscoD)
no flags Details
dmesg output (50.34 KB, text/plain)
2010-11-06 13:10 EDT, Ankur Sinha (FranciscoD)
no flags Details
lsusb -v output (36.69 KB, text/plain)
2010-11-06 13:10 EDT, Ankur Sinha (FranciscoD)
no flags Details
cat /sys/bus/usb/devices/*/product output (139 bytes, text/plain)
2010-11-06 13:11 EDT, Ankur Sinha (FranciscoD)
no flags Details
/var/log/messages (501.44 KB, text/plain)
2010-11-06 13:13 EDT, Ankur Sinha (FranciscoD)
no flags Details
dmesg with tablet attached and functional (50.80 KB, text/plain)
2010-11-06 13:15 EDT, Ankur Sinha (FranciscoD)
no flags Details
lsusb -v output with tablet attached and functional (38.74 KB, text/plain)
2010-11-06 13:16 EDT, Ankur Sinha (FranciscoD)
no flags Details
cat /sys/bus/usb/devices/*/product output with tablet attached and functional (154 bytes, text/plain)
2010-11-06 13:17 EDT, Ankur Sinha (FranciscoD)
no flags Details
xorg log file after tablet attached and functional (34.40 KB, text/plain)
2010-11-06 13:18 EDT, Ankur Sinha (FranciscoD)
no flags Details
/var/log/messages after tablet attached and functional (502.14 KB, text/plain)
2010-11-06 13:19 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2009-12-16 09:02:02 EST
Description of problem:
UC-LOGIC Tablet WP5540U tablet does not work out of the box.
I had to manually install the drivers etc following this link

http://fedorasolved.org/Members/ankursinha/tablets-on-f12-using-wizardpen



Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.7.1-7.fc12.x86_64


How reproducible:
Attach the tablet:

UC-LOGIC Tablet WP5540U


Steps to Reproduce:
1. attach tablet to USB port
2. 
3. 
  
Actual results:
tablet needs manual configuration and installation of drivers


Expected results:
tablet should function out of the box
Comment 1 Bug Zapper 2010-11-03 23:12:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matěj Cepl 2010-11-06 10:13:30 EDT
Created attachment 458322 [details]
mentioned article from fedorasolved.org
Comment 3 Matěj Cepl 2010-11-06 10:36:37 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log),
* if you have any original HAL configuration files,
* output of the following commands:
  + dmesg
  + lsusb -v
  + cat /sys/bus/usb/devices/*/product
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Ankur Sinha (FranciscoD) 2010-11-06 13:07:41 EDT
Created attachment 458339 [details]
xorg.conf file
Comment 6 Ankur Sinha (FranciscoD) 2010-11-06 13:08:18 EDT
Created attachment 458340 [details]
conf file placed in xorg.conf.d for wizardpen tablet
Comment 7 Ankur Sinha (FranciscoD) 2010-11-06 13:09:04 EDT
Created attachment 458341 [details]
xorg log file
Comment 8 Ankur Sinha (FranciscoD) 2010-11-06 13:10:04 EDT
Created attachment 458342 [details]
dmesg output
Comment 9 Ankur Sinha (FranciscoD) 2010-11-06 13:10:45 EDT
Created attachment 458343 [details]
lsusb -v output
Comment 10 Ankur Sinha (FranciscoD) 2010-11-06 13:11:54 EDT
Created attachment 458344 [details]
cat /sys/bus/usb/devices/*/product output
Comment 11 Ankur Sinha (FranciscoD) 2010-11-06 13:13:02 EDT
Created attachment 458345 [details]
/var/log/messages
Comment 12 Ankur Sinha (FranciscoD) 2010-11-06 13:15:23 EDT
Created attachment 458346 [details]
dmesg with tablet attached and functional
Comment 13 Ankur Sinha (FranciscoD) 2010-11-06 13:16:25 EDT
Created attachment 458347 [details]
lsusb -v output with tablet attached and functional
Comment 14 Ankur Sinha (FranciscoD) 2010-11-06 13:17:18 EDT
Created attachment 458348 [details]
cat /sys/bus/usb/devices/*/product output with tablet attached and functional
Comment 15 Ankur Sinha (FranciscoD) 2010-11-06 13:18:18 EDT
Created attachment 458350 [details]
xorg log file after tablet attached and functional
Comment 16 Ankur Sinha (FranciscoD) 2010-11-06 13:19:12 EDT
Created attachment 458351 [details]
/var/log/messages after tablet attached and functional
Comment 17 Ankur Sinha (FranciscoD) 2010-11-06 13:23:33 EDT
(In reply to comment #3)
> Thanks for the bug report.  We have reviewed the information you have provided
> above, and there is some additional information we require that will be helpful
> in our diagnosis of this issue.
> 
> Please add drm.debug=0x04 to the kernel command line, restart computer, and
> attach
> 
> * your X server config file (/etc/X11/xorg.conf, if available),
> * X server log file (/var/log/Xorg.*.log),
> * if you have any original HAL configuration files,
> * output of the following commands:
>   + dmesg
>   + lsusb -v
>   + cat /sys/bus/usb/devices/*/product
> * system log (/var/log/messages)
> 
> to the bug report as individual uncompressed file attachments using the
> bugzilla file attachment link above.
> 
> We will review this issue again once you've had a chance to attach this
> information.
> 
> Thanks in advance.

Hello,

I'm sorry for the large number of logs. I wasn't sure if you wanted them with or without the tablet attached, so I've given them both. 

I did have a hal conf file, but after updating to F13, it no longer worked since input configuration was needed in the xorg.conf.d dir. I've attached the conf file. (it's available at my fedorapeople space too (http://ankursinha.fedorapeople.org/tablet/wizardpen.conf ) 

The fedorasolved page worked for F12, for F13, this is what I used:
http://dodoincfedora.wordpress.com/2010/09/22/getting-your-tablet-to-work-on-f13-using-wizardpen/

The package is for fedora. I found the spec at a blog iirc. It has some stuff that I didn't have the time to understand (I just rebuilt the rpm and used it). Since I didn't understand it well enough, I hadn't submitted it for review yet. 

Thanks for taking this up. 

regards,
Ankur
Comment 18 Matěj Cepl 2010-11-09 09:04:22 EST
(In reply to comment #17)
> I'm sorry for the large number of logs. I wasn't sure if you wanted them with
> or without the tablet attached, so I've given them both. 

Don't worry, I think we can squeeze one or two more logs in the database ;)

> I did have a hal conf file, but after updating to F13, it no longer worked
> since input configuration was needed in the xorg.conf.d dir. I've attached the
> conf file. (it's available at my fedorapeople space too
> (http://ankursinha.fedorapeople.org/tablet/wizardpen.conf ) 
> 
> The fedorasolved page worked for F12, for F13, this is what I used:
> http://dodoincfedora.wordpress.com/2010/09/22/getting-your-tablet-to-work-on-f13-using-wizardpen/
> 
> The package is for fedora. I found the spec at a blog iirc. It has some stuff
> that I didn't have the time to understand (I just rebuilt the rpm and used it).
> Since I didn't understand it well enough, I hadn't submitted it for review yet. 

OK, interesting.

Peter, do we want this package in Fedora? Or is it superseded by some stuff we already have in Fedora or we will have soon?
Comment 19 Matěj Cepl 2010-11-09 09:08:08 EST
The latest upstream package seems to be http://linuxgenius.googlecode.com/files/wizardpen-0.7.0-alpha2.tar.gz
Comment 20 Peter Hutterer 2010-11-09 19:51:49 EST
(In reply to comment #18)
> Peter, do we want this package in Fedora? Or is it superseded by some stuff we
> already have in Fedora or we will have soon?

I'd rather encourage the author to get the driver into the kernel so that the standard drivers (evdev or wacom, whichever is better) can handle it. Hardware-specific X input drivers have had their day, these days they're mostly obsolete from the onset.
Comment 21 Matěj Cepl 2010-11-10 11:25:25 EST
(In reply to comment #20)
> I'd rather encourage the author to get the driver into the kernel so that the
> standard drivers (evdev or wacom, whichever is better) can handle it.
> Hardware-specific X input drivers have had their day, these days they're mostly
> obsolete from the onset.

Just to note, that there is nothing preventing any volunteers to package this in meanwhile for Fedora and maintain the package yourselves (no, I won't help you much with it, just with bug triage and possibly package review, I have enough on my plate already).
Comment 23 Ankur Sinha (FranciscoD) 2010-11-10 11:33:31 EST
(In reply to comment #21)
> (In reply to comment #20)
> > I'd rather encourage the author to get the driver into the kernel so that the
> > standard drivers (evdev or wacom, whichever is better) can handle it.
> > Hardware-specific X input drivers have had their day, these days they're mostly
> > obsolete from the onset.
> 
> Just to note, that there is nothing preventing any volunteers to package this
> in meanwhile for Fedora and maintain the package yourselves (no, I won't help
> you much with it, just with bug triage and possibly package review, I have
> enough on my plate already).

Hello Matej,

I can take up the packaging and maintain the package. However, as Peter advised, I'll write up a mail to upstream requesting them to send the package to kernel upstream to try and get it included first. In the meantime, I'll file a review request asap. 

Thanks. 
regards,
Ankur
Comment 24 Ankur Sinha (FranciscoD) 2010-11-10 11:45:23 EST
Hello, 

Issue filed:

http://code.google.com/p/linuxgenius/issues/detail?id=7


regards,
Ankur
Comment 25 Peter Hutterer 2010-11-10 17:26:56 EST
Thanks Ankur. let's leave this bug open for now to see what answer comes back. It'd be great if you could update us with the feedback, I won't be monitoring the code.google.com site.
Comment 26 Bug Zapper 2011-06-02 13:06:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Ankur Sinha (FranciscoD) 2011-06-03 00:12:16 EDT
Just checked upstream bug tracker. No response on ticket yet.
Comment 28 Fedora End Of Life 2012-08-07 15:39:12 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Ankur Sinha (FranciscoD) 2012-08-07 22:49:59 EDT
Seems to work out of the box now (F17)

Note You need to log in before you can comment on or make changes to this bug.